Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 307249 - sys-apps/lm_sensors-3.1.1 init script demands config file, but runs without one
Summary: sys-apps/lm_sensors-3.1.1 init script demands config file, but runs without one
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Deutschmann
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-01 00:21 UTC by ta2002
Modified: 2016-09-16 12:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ta2002 2010-03-01 00:21:41 UTC
# /etc/init.d/lm_sensors start
 * Caching service dependencies ...                                                                                    [ ok ]
 * /etc/conf.d/lm_sensors does not exist, try running sensors-detect

# touch /etc/conf.d/lm_sensors

# /etc/init.d/lm_sensors start
 * Caching service dependencies ...                                                                                    [ ok ]

# sensors
coretemp-isa-0000
Adapter: ISA adapter
Core 0:      +67.0°C  (high = +84.0°C, crit = +100.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1:      +66.0°C  (high = +84.0°C, crit = +100.0°C)


Also, sensors-detect is useless as far as creating a config file:

# sensors-detect
# sensors-detect revision 5729 (2009-06-02 15:51:29 +0200)
# System: Dell Inc. OptiPlex 745
# Board: Dell Inc. 0WF810

This program will help you determine which kernel modules you need
to load to use lm_sensors most effectively. It is generally safe
and recommended to accept the default answers to all questions,
unless you know what you're doing.

Some south bridges, CPUs or memory controllers contain embedded sensors.
Do you want to scan for them? This is totally safe. (YES/no):
Silicon Integrated Systems SIS5595...                       No
VIA VT82C686 Integrated Sensors...                          No
VIA VT8231 Integrated Sensors...                            No
AMD K8 thermal sensors...                                   No
AMD K10 thermal sensors...                                  No
Intel Core family thermal sensor...                         Success!
    (driver `coretemp')
Intel AMB FB-DIMM thermal sensor...                         No
VIA C7 thermal and voltage sensors...                       No

Some Super I/O chips contain embedded sensors. We have to write to
standard I/O ports to probe them. This is usually safe.
Do you want to scan for Super I/O sensors? (YES/no):
Probing for Super-I/O at 0x2e/0x2f
Trying family `National Semiconductor'...                   No
Trying family `SMSC'...                                     Yes
Found `SMSC SCH5514D-NS Super IO'
    (no hardware monitoring capabilities)
Probing for Super-I/O at 0x4e/0x4f
Trying family `National Semiconductor'...                   No
Trying family `SMSC'...                                     No
Trying family `VIA/Winbond/Fintek'...                       No
Trying family `ITE'...                                      No

Some systems (mainly servers) implement IPMI, a set of common interfaces
through which system health data may be retrieved, amongst other things.
We first try to get the information from SMBIOS. If we don't find it
there, we have to read from arbitrary I/O ports to probe for such
interfaces. This is normally safe. Do you want to scan for IPMI
interfaces? (YES/no):
Probing for `IPMI BMC KCS' at 0xca0...                      No
Probing for `IPMI BMC SMIC' at 0xca8...                     No

Some hardware monitoring chips are accessible through the ISA I/O ports.
We have to write to arbitrary I/O ports to probe them. This is usually
safe though. Yes, you do have ISA I/O ports even if you do not have any
ISA slots! Do you want to scan the ISA I/O ports? (YES/no):
Probing for `National Semiconductor LM78' at 0x290...       No
Probing for `National Semiconductor LM79' at 0x290...       No
Probing for `Winbond W83781D' at 0x290...                   No
Probing for `Winbond W83782D' at 0x290...                   No

Lastly, we can probe the I2C/SMBus adapters for connected hardware
monitoring devices. This is the most risky part, and while it works
reasonably well on most systems, it has been reported to cause trouble
on some systems.
Do you want to probe the I2C/SMBus adapters now? (YES/no):
Using driver `i2c-i801' for device 0000:00:1f.3: Intel 82801H ICH8
FATAL: Module i2c_i801 not found.
Failed to load module i2c-i801.

Next adapter: intel drm CRTDDC_A (i2c-0)
Do you want to scan it? (YES/no/selectively):

Next adapter: SMBus I801 adapter at ece0 (i2c-1)
Do you want to scan it? (YES/no/selectively):
Client found at address 0x50
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 Yes
    (confidence 8, not a hardware monitoring chip)
Probing for `EDID EEPROM'...                                No
Client found at address 0x52
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 Yes
    (confidence 8, not a hardware monitoring chip)

Now follows a summary of the probes I have just done.
Just press ENTER to continue:

Driver `coretemp':
  * Chip `Intel Core family thermal sensor' (confidence: 9)

Warning: the required module coretemp is not currently installed
on your system. If it is built into the kernel then it's OK.
Otherwise, check http://www.lm-sensors.org/wiki/Devices for
driver availability.

No modules to load, skipping modules configuration.


Yes, I do have "CONFIG_SENSORS_CORETEMP=y" in the kernel .config.
Comment 1 Thomas Deutschmann gentoo-dev Security 2016-08-09 14:14:33 UTC
We will drop the check as part of a requested change from bug 490502.
Comment 2 Thomas Deutschmann gentoo-dev Security 2016-09-16 12:43:49 UTC
Now in tree:

> commit 9ba6c0d353dd2ad3936fe35095588648b472f188
> Author: Thomas Deutschmann
> Date:   Fri Sep 16 14:36:11 2016 +0200
> 
>     sys-apps/lm_sensors: Version bump to snapshot release from 2016-07-25; Package now uses module-load service
> 
>     Changes:
>     ========
>      - Based on latest unreleased changes (snapshot release from 2016-07-25;
>        updated/added detection for Fintek F81768, Nuvoton NCT6793D, Microchip
>        MCP9808 and Mark F71868A chips; various fixes for sensors-detect, see
>        https://git.io/v6Wig for all changes)
> 
>      - sensors-detect now writes to "/etc/modules-load.d/lm_sensors.conf" and
>        uses a config file protection mechanism like known from emerge (i.e.
>        after making changes you have to call tools such as dispatch-conf,
>        cfg-update or etc-update to merge the changes;
>        new "--no-gentoo-config-protect" parameter will disable config file
>        protection)
> 
>      - Due to previous change lm_service service no longer loads modules. You
>        have to use mechanism your init system provides to do that (i.e. make
>        sure your init system's modules-load service is enabled).
> 
>      - Ebuild is now multilib compatible (see bug 529684)
> 
>      - Runscripts no longer passes config file as argument. While this removes
>        the possibility to use different configurations per default services it
>        allows you to use "/etc/sensors.d" (see bug 490502 and bug 307249)
> 
>      - Runscripts improved in general. I.e. if you start fancontrol service
>        without a valid config (so that fancontrol doesn't start and exit with
>        an error) you will now know at least, that the service didn't start.
>        Now you will also have reliable status functions to know service state.
> 
>     Gentoo-Bug: https://bugs.gentoo.org/592916
>     Gentoo-Bug: https://bugs.gentoo.org/529684
>     Gentoo-Bug: https://bugs.gentoo.org/490502
>     Gentoo-Bug: https://bugs.gentoo.org/307249
> 
>     Package-Manager: portage-2.3.0